package routes

import (
	"api/controllers"

	"github.com/gofiber/fiber/v2"
)

func Setup(app *fiber.App) {

	app.Get("/version", controllers.Version)

	app.Post("/login", controllers.Login)
	app.Post("/logout", controllers.Logout)

	app.Get("/user", controllers.GetOwnUser)
	app.Get("/users", controllers.GetAllUsers)
	app.Post("/user", controllers.AddUser)

	app.Post("/event", controllers.AddEvent)
}
